A bit confused

Discussion in 'PSP - Games & Content' started by gaehentohn, Jun 23, 2009.

Jun 23, 2009

A bit confused by gaehentohn at 10:00 AM (882 Views / 0 Likes) 10 replies

  1. gaehentohn
    OP

    Newcomer gaehentohn Member

    Joined:
    Jun 23, 2009
    Messages:
    21
    Country:
    Australia
    I've been considering buying a PSP lately. I'm looking at hacking it, mainly to be able to have all my classic PSX games on a portable hand-held.
    Any way, I've been on quite a few PSP forums and have been thoroughly bamboozled as to the possibility of hacking a newly bought PSP300X and how one would go about it. I hope you kind people could answer some of my questions.

    A new PSP comes with 5.05 firmware out of the box, correct? I've heard there is no way to downgrade to 5.03 as of yet, but I've I've been told that the 'Custom Firmware Enabler' (I think it was) can be insalled/run on a PSP 300X with 5.05 firmware. Is this true? According to Davee's DevSite (http://davee.x-fusion.co.uk/), V3 of ChickHEN works on 5.05, unless I misread it, so at least that part would work.

    Also, according to Davee's DevSite, ChickHEN will brick a PSP if it touches the flash, how then does the Custom Firmware Enabler work if a brick will occur if the PSP is flashed to?

    Thanks a lot,
    SpiralArms.
     
  2. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    ChickHen R3? Maybe i need my eyes tested but as yet anything above 5.03 is yet to be exploited.
     
  3. ViRGE

    Member ViRGE GBAtemp Fan

    Joined:
    Dec 4, 2004
    Messages:
    363
    Country:
    Depending on how "new" a PSP actually is, it will come with 5.02, 5.03, or 5.50. 5.05 was a limited Japan release to go with a single game, new PSPs have not been coming with it to my knowledge.
     
  4. gaehentohn
    OP

    Newcomer gaehentohn Member

    Joined:
    Jun 23, 2009
    Messages:
    21
    Country:
    Australia
    Hmm.
    When I buy it, if it's 5.03, great, but if not, I'll just have to wait for 5.50 to be hacked.

    Thanks alot for your help.
    SpiralArms
     
  5. ViRGE

    Member ViRGE GBAtemp Fan

    Joined:
    Dec 4, 2004
    Messages:
    363
    Country:
    Just bear in mind that you may be waiting a while. It took several months to come up with the 5.03 ChickHEN hack, including a few months after finding the attack vector but before a workable hack could be formulated for it. Hacks of this nature are extremely rare, and there's no guarantee there will be another.
     
  6. gaehentohn
    OP

    Newcomer gaehentohn Member

    Joined:
    Jun 23, 2009
    Messages:
    21
    Country:
    Australia
    Is there anything on the box to say which firmware it is?
     
  7. ViRGE

    Member ViRGE GBAtemp Fan

    Joined:
    Dec 4, 2004
    Messages:
    363
    Country:
    Maybe someone else knows more, but I don't believe so.
     
  8. Livin in a box

    Member Livin in a box Livin' in a cardboard box

    Joined:
    Jul 18, 2008
    Messages:
    1,794
    Location:
    Purgatory
    Country:
    United Kingdom
    You've just gotta be lucky. You could just get a used one and be sure of the firmware.
     
  9. gaehentohn
    OP

    Newcomer gaehentohn Member

    Joined:
    Jun 23, 2009
    Messages:
    21
    Country:
    Australia
  10. ViRGE

    Member ViRGE GBAtemp Fan

    Joined:
    Dec 4, 2004
    Messages:
    363
    Country:
  11. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    on davee's dev site, the only thing mentioned as being compatible with 5.05 is a version spoofer plugin. which i dont really understand, seeing as there's no way to run plugins on 5.05.
     

Share This Page